const app = getApp()

import {
    getDetailRq,
    getStatusName
} from "../../../../api/repair/repair.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        id: '',
        detail: {},
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.log('onLoad', options);
        let _this = this
        _this.setData({
            ...options
        })
        _this.getDetail(options.id)
    },

    back(){
        wx.navigateBack()
    },

    getDetail(id) {
        let _this = this
        getDetailRq({
            id
        }).then(res => {
            console.log("getDetailRq", res);
            // 详情
            let detail = res.repair
            detail.statusName = getStatusName(detail.status)
            
            _this.setData({
                detail,
            })
        })
    },
    
     // 确认损坏
     jumpAffirm(){
        wx.navigateTo({
          url: '/pages/reportRepair/assign/affirm/affirm',
        })
    },


    // 提交反馈
    jumpFeedback(){
        wx.navigateTo({
          url: '/pages/reportRepair/assign/feedback/feedback',
        })
    },

    // 无效
    invalid(){
        wx.navigateBack()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})